ur_rna.RNAstructureUI.drawing.proxy

## Class DotPlotBackend

- java.lang.Object
- - ur_rna.RNAstructureUI.drawing.proxy.DotPlotBackend

-     public class DotPlotBackend
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `swigCMemOwn`
    `private long` | `swigCPtr`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `DotPlotBackend()`
    `protected` | `DotPlotBackend(long cPtr, boolean cMemoryOwn)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `delete()`
    `protected void` | `finalize()`
    `java.lang.String` | `getBounds()`
    `java.lang.String` | `getColors()`
    `protected static long` | `getCPtr(DotPlotBackend obj)`
    `double` | `getCurrentMax()`
    `double` | `getCurrentMin()`
    `double` | `getDefaultMax()`
    `double` | `getDefaultMin()`
    `java.lang.String` | `getDotData(int i, int j)`
    `java.lang.String` | `getDotDataByLocation(int x, int y, double scale)`
    `java.lang.String` | `getGridLine(int number)`
    `java.lang.String` | `getLegendData()`
    `int` | `getLength()`
    `boolean` | `readData(java.lang.String file, int strand)`
    `void` | `setColors(int colors)`
    `void` | `setRange(double minimum, double maximum)`
    `void` | `writePostscriptFile(java.lang.String outFile)`
    `java.lang.String` | `writeStructuresFile(java.lang.String file, java.lang.String outFile)`
    `void` | `writeSVGFile(java.lang.String outFile)`
    `void` | `writeTextFile(java.lang.String file)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### swigCMemOwn

          protected transient boolean swigCMemOwn

    - #### swigCPtr

          private transient long swigCPtr

  - ### Constructor Detail

    - #### DotPlotBackend

          public DotPlotBackend()

    - #### DotPlotBackend

          protected DotPlotBackend(long cPtr,
                                   boolean cMemoryOwn)

  - ### Method Detail

    - #### delete

          public void delete()

    - #### finalize

          protected void finalize()

      Overrides:
        `finalize` in class `java.lang.Object`

    - #### getBounds

          public java.lang.String getBounds()

    - #### getColors

          public java.lang.String getColors()

    - #### getCPtr

          protected static long getCPtr(DotPlotBackend obj)

    - #### getCurrentMax

          public double getCurrentMax()

    - #### getCurrentMin

          public double getCurrentMin()

    - #### getDefaultMax

          public double getDefaultMax()

    - #### getDefaultMin

          public double getDefaultMin()

    - #### getDotData

          public java.lang.String getDotData(int i,
                                             int j)

    - #### getDotDataByLocation

          public java.lang.String getDotDataByLocation(int x,
                                                       int y,
                                                       double scale)

    - #### getGridLine

          public java.lang.String getGridLine(int number)

    - #### getLegendData

          public java.lang.String getLegendData()

    - #### getLength

          public int getLength()

    - #### readData

          public boolean readData(java.lang.String file,
                                  int strand)

    - #### setColors

          public void setColors(int colors)

    - #### setRange

          public void setRange(double minimum,
                               double maximum)

    - #### writePostscriptFile

          public void writePostscriptFile(java.lang.String outFile)

    - #### writeStructuresFile

          public java.lang.String writeStructuresFile(java.lang.String file,
                                                      java.lang.String outFile)

    - #### writeSVGFile

          public void writeSVGFile(java.lang.String outFile)

    - #### writeTextFile

          public void writeTextFile(java.lang.String file)